> ## Documentation Index
> Fetch the complete documentation index at: https://doc.seerbit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Payment Link From Checkout

> SeerBit Checkout Standard Initialises a transaction from merchants server to generate a payment link which redirects your customers to a page to make payment and after payment has been made the customer is redirected back to the merchants website.



## OpenAPI

````yaml https://raw.githubusercontent.com/seerbit/openapi/master/specs/external-api.yml post /payments
openapi: 3.0.1
info:
  title: SeerBit API Reference
  contact: {}
  version: '1.0'
servers:
  - url: https://seerbitapi.com/api/v2
security: []
tags:
  - name: AUTHENTICATION
  - name: STANDARD CHECKOUT
  - name: ORDER CHECKOUT
  - name: PAYMENT METHOD
  - name: MOMO
  - name: NON 3DS PAYMENT
  - name: CARD
  - name: ACCOUNT
  - name: TOKENIZE
  - name: AUTHORISE
  - name: PREAUTHORIZATION
  - name: RECURRENT
paths:
  /payments:
    post:
      tags:
        - STANDARD CHECKOUT
      summary: Payment Link From Checkout
      description: >-
        SeerBit Checkout Standard Initialises a transaction from merchants
        server to generate a payment link which redirects your customers to a
        page to make payment and after payment has been made the customer is
        redirected back to the merchants website.
      operationId: PaymentLinkFromCheckout
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaymentLinkFromCheckoutRequest'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentLinkFromCheckoutResponse'
        '400':
          description: Method Not Allowed
          content:
            application/json:
              schema:
                type: object
              examples:
                400Response:
                  $ref: '#/components/examples/400Response'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
              examples:
                401Response:
                  $ref: '#/components/examples/401Response'
        '403':
          description: Header Token Missing
          content:
            application/json:
              schema:
                type: object
              examples:
                403Response:
                  $ref: '#/components/examples/403Response'
                403Response1:
                  $ref: '#/components/examples/403Response1'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
              examples:
                404Response:
                  $ref: '#/components/examples/404Response'
                400Response1:
                  $ref: '#/components/examples/404Response1'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
              examples:
                PaymentLinkFromCheckout500Response:
                  $ref: '#/components/examples/PaymentLinkFromCheckout500Response'
                PaymentLinkFromCheckout500Response1:
                  $ref: '#/components/examples/PaymentLinkFromCheckout500Response1'
                PaymentLinkFromCheckout500Response2:
                  $ref: '#/components/examples/PaymentLinkFromCheckout500Response2'
                500Response:
                  $ref: '#/components/examples/500Response'
      deprecated: false
      security:
        - Bearer: []
components:
  schemas:
    PaymentLinkFromCheckoutRequest:
      title: PaymentLinkFromCheckoutRequest
      required:
        - amount
        - callbackUrl
        - country
        - currency
        - email
        - hash
        - hashType
        - paymentReference
        - productDescription
        - productId
        - publicKey
      type: object
      properties:
        publicKey:
          type: string
          description: This is the merchant public key.
        amount:
          type: string
          description: This is the amount to be paid.
        currency:
          type: string
          description: This is the currency the transaction is to be carried out in.
        country:
          type: string
          description: >-
            This is the country from which the transaction is been carried out
            from
        paymentReference:
          type: string
          description: >-
            This is the unique identifier for a transaction, to be generated by
            merchant.
        email:
          type: string
          description: This is the email of the customer.
        productId:
          type: string
          description: This is the product id entered by the merchant.
        productDescription:
          type: string
          description: This is the product description supplied by the merchant.
        callbackUrl:
          type: string
          description: >-
            This is the callback url supplied by the merchant so that Seerbit
            can redirect back to it .
        hash:
          type: string
          description: >-
            This is the hash of the concatenated string for payment. Check hash
            module for more clarification.
        hashType:
          type: string
          description: This refers to the hash type used in generating the hash
      example:
        publicKey: SBTESTPUBK_9sN3TuLgW6a9redEfY48cKKkUa09Pz2u
        amount: '10.00'
        currency: NGN
        country: NG
        paymentReference: P791090233047WZ73QN
        email: mamadou.diouf@intouchgroup.net
        productId: '15013'
        productDescription: touch badge
        callbackUrl: https://gutouch.com
        hash: cfb5464ea21cce315ea72fb28f7ea45c4b61c443783eeff82dea98e57d445e15
        hashType: sha256
    PaymentLinkFromCheckoutResponse:
      title: PaymentLinkFromCheckoutResponse
      type: object
      example:
        status: SUCCESS
        data:
          code: '00'
          payments:
            redirectLink: >-
              https://checkout.seerbitapi.com/#/?mid=SBTESTPUBK_9sN3TuLgW6a9redEfY48cKKkUa09Pz2u&paymentReference=39910902330P7WZ73QN
            paymentStatus: '08'
          message: Successful
  examples:
    400Response:
      summary: An example of 400 response payload
      value:
        message: Bad Request
        error: There has been a problem with reading or understanding the request.
    401Response:
      summary: An example of 401 response payload
      value:
        message: Invalid Authentication Token
        error: INPUT
    403Response:
      summary: An example of 403 response payload
      value:
        message: Confirm Merchant Environment
        error: PERMISSION
    403Response1:
      summary: An example of 403 response payload
      value:
        message: Header Token Missing
        error: PERMISSION
    404Response:
      summary: An example of 404 response payload
      value:
        error: Not Found
    404Response1:
      summary: An example of 404 response payload
      value:
        message: Not Found
        error: The server can not find the requested resource
    PaymentLinkFromCheckout500Response:
      summary: An example of PaymentLinkFromCheckout 500 response payload
      value:
        message: INVALID HASH
        error: PROCESSING
    PaymentLinkFromCheckout500Response1:
      summary: An example of PaymentLinkFromCheckout 500 response payload
      value:
        message: Transaction Exists
        error: PROCESSING
    PaymentLinkFromCheckout500Response2:
      summary: An example of PaymentLinkFromCheckout 500 response payload
      value:
        error: PROCESSING
    500Response:
      summary: An example of 500 response payload
      value:
        message: Internal Server Error
        error: PROCESSING
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.